Any reason to not update DSi to 1.4.5 (or final update)?

Discussion in 'NDS - Console and Game Discussions' started by DChronos, May 11, 2015.

  1. DChronos
    OP

    DChronos Advanced Member

    Newcomer
    87
    9
    Apr 11, 2015
    United States
    Hey all, I have 2 DSi units, one with 1.4.4 and I think the other is 1.4.3.

    I was wondering, is there any reason anymore for avoiding updating the DSi to its final update? All I know when I checked stuff out long ago was that Acekard wouldn't work anymore and people were saying Acekard was the best one at the time. Have there been other flash cards that came later that were better than Acekard's last DSi compatible card? And is there any reason not to update either of my 2 DSi units? I kinda wanted the ability to use the shop again, but also wanted to have 1 good DSi that I could use the best current DSi flash card with.

    If you got flash card suggestions, I'd like those, too, please and thanks. I heard something about Supercard DS2.

    P.S. - I posted this using my DSi. B)
     
  2. nxwing

    nxwing GBAtemp Addict

    Member
    2,007
    4,078
    Jul 22, 2013
    Philippines
    The Capital
    DSiWare has been shut down mahboi. If you want tou access DSiWare again, just use the 3DS eShop and select DSiWare at the beginning. As for your cart, R4i Gold 3DS RTS and Supercard DSTWO (rare) are pretty good competitors that support all DSi and 3DS Firmwares so far. If you have a Gateway, you can install Flashcard Timewarp as a CIA so that all flashcards get unblocked on your 3DS.
     
    migles and Margen67 like this.
  3. DChronos
    OP

    DChronos Advanced Member

    Newcomer
    87
    9
    Apr 11, 2015
    United States
    If it has, what reason would the shop still be available for, then? It still tells me there's an update available, and to register your DSi on Club Nintendo, you had to enter the shop channel and register to Club Nintendo on it, and you could link your shop to your account. I saw point cards still in store not too long ago for the shop, too... not the dollar amount ones.

    Anyway, just to clearly answer, is there no reason to keep my DSi at less than 1.4.5 firmware anymore, and just go ahead and update? I'd still like to access the shop and all stuff and have the final update if there's no reason to keep the lower firmware.


    DStwo is what I've been pondering getting since it has more emulation features and I figure the built in processor would make it faster, but I'm a beginner when it comes to knowing anything about the DSi's homebrew and flash card info... a beginner without too much time to research anymore. Last time I was looking at it, there's was only R4i Gold and Acekard 2i and update 1.4.5 firmware just came out.
     
  4. nxwing

    nxwing GBAtemp Addict

    Member
    2,007
    4,078
    Jul 22, 2013
    Philippines
    The Capital
    The DSiWare shop has been closed for a very long time. About 1 year now. It can still be accessed on the 3DS though.

    The DSTwo can't emulate games in DSi mode or run DSi homebrew. It can only run NDS, GBA, NDS Homebrew and Special DSTWO Homebrew which means it still cannot use the camera.
     
  5. zoogie

    zoogie simple pimp tool

    Member
    6,237
    7,900
    Nov 30, 2014
    United States
    DSishop still gets new games every now and then. Maybe a couple a month.
     
  6. loco365

    loco365 GBAtemp Guru

    Member
    5,458
    2,674
    Sep 1, 2010
    I wasn't aware of this. What happens when you try accessing it? I'm not on the latest firmware so I can't check (cookhax is installed).
     
  7. Home_Rowed

    Home_Rowed Advanced Member

    Newcomer
    90
    15
    Oct 17, 2006
    United States
    The DSiWare Shop still works, I just checked. What has been closed was the online play servers for DS, DSi, Wii. The Wii Shopping Channel still works as well.
     
  8. migles

    migles Mei the sexiest bae

    Member
    GBAtemp Patron
    migles is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    6,822
    4,570
    Sep 19, 2013
    Saint Kitts and Nevis
    my dad works for nintendo.
    weird i noticed i could still navigate the wii shop...
    and was pretty shocked when i saw wii points cards being sold at a shop after the servers closed..

    i thought they would close the shop... but in another hand.. closing the shop would mean refuse money :D
     
  9. DjoeN

    DjoeN Captain Haddock!

    Member
    5,136
    1,478
    Oct 21, 2005
    Belgium
    Somewhere in this potatoland!
    Depends on what flashcart you have/will buy.

    Mine are all updated to 1.4.5, but i have a few DSTwo's, so no problem there, but all my other flashcarts i used to have are blocked :/
     
  10. Omer

    Omer GBAtemp Regular

    Member
    212
    20
    May 13, 2014
    There is no reason not to update your Dsi . Just update your Dsi and you can access the shop and your flashcard will still work
     
  11. nxwing

    nxwing GBAtemp Addict

    Member
    2,007
    4,078
    Jul 22, 2013
    Philippines
    The Capital
    Unfortunatley, Acekard 2i doesn't work with DSi FW v1.4.5
     
  12. Omer

    Omer GBAtemp Regular

    Member
    212
    20
    May 13, 2014
    Yeah that's true my bad. But still can get a cheap r4 or dstwo both will work fine
     
  13. DChronos
    OP

    DChronos Advanced Member

    Newcomer
    87
    9
    Apr 11, 2015
    United States
    Ok, so I'll assume that Acekard 2i is no longer "the best" flashcart, then? Which flashcart is the best for the DSi? (only interested in it for the DSi, not 3DS) Like I said, last I looked into flashcart info there was only R4i and Acekard 2i and everyone I knew said the Acekard was the best. I never bought any, though... too busy with life to get into stuff then, and then the 3DS came out. I just did a hardmod backup x2 of my main 3DS without leaving a trace that I did so (no soldering).

    But yeah, if other cards have surpassed Acekard 2i and work on 1.4.5 firmware where Acekard does not, then I'll definately update my DSi.

    And yes, people, the shop still works and they still sell points cards, only Nintendo Wi-Fi Channel servers were shut down last year so no online services inside games work anymore... complete bull, they should have hosted it themselves or found another host.
     
  14. nxwing

    nxwing GBAtemp Addict

    Member
    2,007
    4,078
    Jul 22, 2013
    Philippines
    The Capital
    R4i Gold 3DS RTS has compatibility with AKAIO themes with Wood R4. DSTWO is by far the best but the most rare out of the bunch.
     
  15. DChronos
    OP

    DChronos Advanced Member

    Newcomer
    87
    9
    Apr 11, 2015
    United States
    Ok... so does anyone know where I can get a DStwo? I had hesrd there was some updated card after Supercard DStwo that was either out or coming, too, but maybe just someone's rumor.